import request from '@/utils/request'

// 查询风险异常日志列表
export function listLog(query) {
  return request({
    url: '/laboratory/plan/log/list',
    method: 'get',
    params: query
  })
}

// 查询风险异常日志详细
export function getLog(id) {
  return request({
    url: '/laboratory/plan/log/' + id,
    method: 'get'
  })
}

// 新增风险异常日志
export function addLog(data) {
  return request({
    url: '/laboratory/plan/log',
    method: 'post',
    data: data
  })
}

// 修改风险异常日志
export function updateLog(data) {
  return request({
    url: '/laboratory/plan/log',
    method: 'put',
    data: data
  })
}

// 删除风险异常日志
export function delLog(id) {
  return request({
    url: '/laboratory/plan/log/' + id,
    method: 'delete'
  })
}

// 风险发生数折线统计图
export function lineChart(data) {
  return request({
    url: '/laboratory/plan/log/lineChart',
    method: 'post',
    data: data
  })
}

// 风险发生占比图
export function happenChart(data) {
  return request({
    url: '/laboratory/plan/log/happenChart',
    method: 'post',
    data: data
  })
}

// 院系风险统计图
export function statisticsChartDept(data) {
  return request({
    url: '/laboratory/plan/log/statisticsChartDept',
    method: 'post',
    data: data
  })
}
